# Function circleChainIdToChain

- circleChainIdToChain<K1>(args_0): (K1 extends bigint
  ? `bigint(${K1})`
  : K1 extends boolean
  ? `boolean(${K1})`
  : K1) extends 0 | 2 | 1 | 3 | 5 | 6
  ? {
  0: "Ethereum";
  1: "Avalanche";
  2: "Optimism";
  3: "Arbitrum";
  5: "Solana";
  6: "Base";
  }[Object] extends {
  [key: string]: unknown;
  }
  ? {
  0: "Ethereum";
  1: "Avalanche";
  2: "Optimism";
  3: "Arbitrum";
  5: "Solana";
  6: "Base";
  }[Object]
  : {
  0: "Ethereum";
  1: "Avalanche";
  2: "Optimism";
  3: "Arbitrum";
  5: "Solana";
  6: "Base";
  }[Object]
  : never

- #### Type Parameters

  - #### K1 extends 0 | 2 | 1 | 3 | 5 | 6

  #### Parameters

  - ##### args_0: K1

  #### Returns (K1 extends bigint
  ? `bigint(${K1})`
  : K1 extends boolean
  ? `boolean(${K1})`
  : K1) extends 0 | 2 | 1 | 3 | 5 | 6
  ? {
  0: "Ethereum";
  1: "Avalanche";
  2: "Optimism";
  3: "Arbitrum";
  5: "Solana";
  6: "Base";
  }[Object] extends {
  [key: string]: unknown;
  }
  ? {
  0: "Ethereum";
  1: "Avalanche";
  2: "Optimism";
  3: "Arbitrum";
  5: "Solana";
  6: "Base";
  }[Object]
  : {
  0: "Ethereum";
  1: "Avalanche";
  2: "Optimism";
  3: "Arbitrum";
  5: "Solana";
  6: "Base";
  }[Object]
  : never

  - Defined in core/base/dist/esm/constants/circle.d.ts:36

Generated using TypeDoc